package com.bocloud.cmp.model.agile;

import com.bocloud.cmp.model.PortModel;

import java.util.Date;
import java.util.List;

/**
 * 华为SDN浮动IP业务类
 */
public class AgileFloatingIpModel {
    private String floatingIpUuid;
    private String routerUuid;
    private String tenantUuid;
    private String floatingNetworkUuid;
    private String floatingNetworkName;    //pool名称
    private String floatingIpAddress;
    private String fixedIpAddress;
    private String portUuid;
    private String status;
    private List<PortModel> ports;
    private String instanceId;
    private String networkCardUuid;
    private String privateIpAddress;  // 当floatip绑定网卡时 需要指定ip
    private Date gmtCreate;
    private String name;
    private String regionId;
    private Integer addressCount;
    private String bandwidth; // EIP的带宽峰值，单位为Mbps
    private String ipChargeType;
    private Date expiredTime;
    private String instanceType;
    private String internetChargeType;
    private Integer needIcp;
    private String serviceName; // 华为SDN浮动ip云平台名称

    /**
     * @return the floatingIpUuid
     */
    public String getFloatingIpUuid() {
        return floatingIpUuid;
    }

    /**
     * @param floatingIpUuid the floatingIpUuid to set
     */
    public void setFloatingIpUuid(String floatingIpUuid) {
        this.floatingIpUuid = floatingIpUuid;
    }

    /**
     * @return the routerUuid
     */
    public String getRouterUuid() {
        return routerUuid;
    }

    /**
     * @param routerUuid the routerUuid to set
     */
    public void setRouterUuid(String routerUuid) {
        this.routerUuid = routerUuid;
    }

    /**
     * @return the tenantUuid
     */
    public String getTenantUuid() {
        return tenantUuid;
    }

    /**
     * @param tenantUuid the tenantUuid to set
     */
    public void setTenantUuid(String tenantUuid) {
        this.tenantUuid = tenantUuid;
    }

    /**
     * @return the floatingNetworkUuid
     */
    public String getFloatingNetworkUuid() {
        return floatingNetworkUuid;
    }

    /**
     * @param floatingNetworkUuid the floatingNetworkUuid to set
     */
    public void setFloatingNetworkUuid(String floatingNetworkUuid) {
        this.floatingNetworkUuid = floatingNetworkUuid;
    }

    /**
     * @return the floatingIpAddress
     */
    public String getFloatingIpAddress() {
        return floatingIpAddress;
    }

    /**
     * @param floatingIpAddress the floatingIpAddress to set
     */
    public void setFloatingIpAddress(String floatingIpAddress) {
        this.floatingIpAddress = floatingIpAddress;
    }

    /**
     * @return the fixedIpAddress
     */
    public String getFixedIpAddress() {
        return fixedIpAddress;
    }

    /**
     * @param fixedIpAddress the fixedIpAddress to set
     */
    public void setFixedIpAddress(String fixedIpAddress) {
        this.fixedIpAddress = fixedIpAddress;
    }

    /**
     * @return the portUuid
     */
    public String getPortUuid() {
        return portUuid;
    }

    /**
     * @param portUuid the portUuid to set
     */
    public void setPortUuid(String portUuid) {
        this.portUuid = portUuid;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the ports
     */
    public List<PortModel> getPorts() {
        return ports;
    }

    /**
     * @param ports the ports to set
     */
    public void setPorts(List<PortModel> ports) {
        this.ports = ports;
    }

    public String getFloatingNetworkName() {
        return floatingNetworkName;
    }

    public void setFloatingNetworkName(String floatingNetworkName) {
        this.floatingNetworkName = floatingNetworkName;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public String getNetworkCardUuid() {
        return networkCardUuid;
    }

    public void setNetworkCardUuid(String networkCardUuid) {
        this.networkCardUuid = networkCardUuid;
    }

    public String getPrivateIpAddress() {
        return privateIpAddress;
    }

    public void setPrivateIpAddress(String privateIpAddress) {
        this.privateIpAddress = privateIpAddress;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRegionId() {
        return regionId;
    }

    public void setRegionId(String regionId) {
        this.regionId = regionId;
    }

    public Integer getAddressCount() {
        return addressCount;
    }

    public void setAddressCount(Integer addressCount) {
        this.addressCount = addressCount;
    }

    public String getBandwidth() {
        return bandwidth;
    }

    public void setBandwidth(String bandwidth) {
        this.bandwidth = bandwidth;
    }

    public String getIpChargeType() {
        return ipChargeType;
    }

    public void setIpChargeType(String ipChargeType) {
        this.ipChargeType = ipChargeType;
    }

    public Date getExpiredTime() {
        return expiredTime;
    }

    public void setExpiredTime(Date expiredTime) {
        this.expiredTime = expiredTime;
    }

    public String getInstanceType() {
        return instanceType;
    }

    public void setInstanceType(String instanceType) {
        this.instanceType = instanceType;
    }

    public String getInternetChargeType() {
        return internetChargeType;
    }

    public void setInternetChargeType(String internetChargeType) {
        this.internetChargeType = internetChargeType;
    }

    public Integer getNeedIcp() {
        return needIcp;
    }

    public void setNeedIcp(Integer needIcp) {
        this.needIcp = needIcp;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }
}
